
from django.http import JsonResponse
from rest_framework.decorators import action, api_view, schema
from django.views.decorators.csrf import csrf_exempt
from ..models import Paradero, ParaderoImagen
from logging import error


@csrf_exempt
@action(detail=False, methods=['get'])
@api_view(['GET'])
# @schema(schemas.AuthSchema())
def paraderos(request):
    google_api_key = 'AIzaSyDnFO9w_SsodjBuY5tOK8-kQJns_l5klQ4'
    zoom = 17
    center = {'lat': -36.8077884, 'lng': -73.0775401}
    marks = []

    paraderos = Paradero.objects.all()
    for p in paraderos:
        marks.append({
            'position': {
                'lat': p.stop_lat,
                'lng': p.stop_lon
            },
            'title': 'Paradero #' + str(p.id_paradero),
            'location': p.stop_name
        })

    return JsonResponse({
        'google_api_key': google_api_key,
        'zoom': zoom,
        'center': center,
        'marks': marks
    })
